Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.mapping
Interface PersistentProperty<P extends PersistentProperty<P>>

All Known Implementing Classes:
  AbstractPersistentProperty, AnnotationBasedPersistentProperty

    public interface PersistentProperty<P extends PersistentProperty<P>>

Author:
  Graeme Rocher, Jon Brisbin, Oliver Gierke

Method Summary
`Association<P>` | `getAssociation()`
`Class<?>` | `getComponentType()` Returns the component type of the type if it is a `Collection`.
`Field` | `getField()`
`Class<?>` | `getMapValueType()` Returns the type of the values if the property is a `Map`.
`String` | `getName()` The name of the property
`PersistentEntity<?,P>` | `getOwner()`
`PropertyDescriptor` | `getPropertyDescriptor()`
`Class<?>` | `getRawType()` Returns the raw type as it's pulled from from the reflected property.
`String` | `getSpelExpression()`
`Class<?>` | `getType()` The type of the property
`TypeInformation<?>` | `getTypeInformation()`
`boolean` | `isArray()`
`boolean` | `isAssociation()`
`boolean` | `isCollection()`
`boolean` | `isComplexType()`
`boolean` | `isEntity()` Returns whether the property has to be regarded as entity which means its type will be also be considered to be a `PersistentEntity`.
`boolean` | `isIdProperty()`
`boolean` | `isMap()`
`boolean` | `isTransient()`

Method Detail

### getOwner

    PersistentEntity<?,P> getOwner()

### getName

    String getName()

  The name of the property

  Returns:
    The property name

### getType

    Class<?> getType()

  The type of the property

  Returns:
    The property type

### getTypeInformation

    TypeInformation<?> getTypeInformation()

### getPropertyDescriptor

    PropertyDescriptor getPropertyDescriptor()

### getField

    Field getField()

### getSpelExpression

    String getSpelExpression()

### isTransient

    boolean isTransient()

### isAssociation

    boolean isAssociation()

### getAssociation

    Association<P> getAssociation()

### isCollection

    boolean isCollection()

### isMap

    boolean isMap()

### isArray

    boolean isArray()

### isComplexType

    boolean isComplexType()

### isEntity

    boolean isEntity()

  Returns whether the property has to be regarded as entity which means its type will be also be considered to be a `PersistentEntity`.

  Returns:

### getComponentType

    Class<?> getComponentType()

  Returns the component type of the type if it is a `Collection`. Will return the type of the key if the property is a `Map`.

  Returns:
    the component type, the map's key type or null if neither `Collection` nor `Map`.

### getRawType

    Class<?> getRawType()

  Returns the raw type as it's pulled from from the reflected property.

  Returns:
    the raw type of the property.

### getMapValueType

    Class<?> getMapValueType()

  Returns the type of the values if the property is a `Map`.

  Returns:
    the map's value type or null if no `Map`

### isIdProperty

    boolean isIdProperty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.